-- $Name:Операция «Хотдог»$
-- $Version:0.1.3$

instead_version "1.8.0"

require "xact"
require "hideinv"
require "para"
require "dash"
require "quotes"
-- require "dbg"

game.codepage="UTF-8";

game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Не сработает...';

global {
	thieves_escaped = false; -- Достабль ещё не пугал воров
};

main = room {
	forcedsc = true,
	nam = "Операция «Хотдог»",
	pic = 'gfx/intro.png',
	dsc = [[«В безбрежных просторах космоса плывёт всемирная черепаха -- великий
		А'Туин. На её необъятном панцире стоят слоны, на спинах которых покоится
		громадный диск Плоского Мира. Где-то на просторах этого диска расположен
		Анк-Морпорк: старейший, богатейший и грязнейший из всех городов, которые
		только могут существовать во множественной Вселенной. В этом городе
		гигантское количество удачливых торговцев, и надо же было такому
		случиться, что удача покинула именно меня!»^
		Так думал молодой повеса...^
		Хотя, стоп.^
		Не такой уж молодой, но и не слишком старый. И не повеса, а, скажем,
		человек с небольшой склонностью к авантюрам -- Себя-режу-без-ножа
		Достабль собственной персоной.^^
		{intro2|Дальше...}]],
	obj = {
		xact('intro2', code[[walk(introduction);]]),
	},
	hideinv = true,
};

introduction = room {
	forcedsc = true,
	nam = "Вступление",
	dsc = [[С.Р.Б.Н. Достабль пребывал в унынии. Последний гениальный
		бизнес-план не выдержал столкновения с реальностью и с треском
		провалился. К счастью, без физического ущерба для своего автора и
		исполнителя. К несчастью, с ощутимым финансовым ущербом. Кредиторы об
		этом пока ещё не знали, но долго так продолжаться не могло. Надо было
		срочно, нет, -- СРОЧНО! -- раздобыть денег.^
		Напрашивался очевидный вывод: дождаться Дня Всех Пустых (а он уже на
		носу!) и продавать сосиски на центральной площади. Это сработает, но
		придётся потрудиться...^^
		{end_intro|Начать игру...}]],
	obj = {
		xact('end_intro', code[[walk(pigsty_hill);]]),
	},
	hideinv = true,
	entered = code[[inv():add('shadow_map');]],
};

pigsty_hill = room {
	nam = "Свинарный холм",
	dsc = [[Достабль находился на Свинарном холме, между Разваливающимися
		воротами и Скотным рынком. Улица (как, впрочем, и все улицы в Тенях)
		была вымощена грязной замызганной брусчаткой.]],
	obj = {
		'cart',
	},
	way = {
		'shambling_gate',
		'cattle_market',
	},
};

cart = obj {
	nam = "тележка",
	dsc = [[Возле стены стоит {тележка} Достабля.]],
	act = [[Лучшая в мире тележка с подогревом для продажи сосисок,
		принадлежащая С.Р.Б.Н. Достаблю! Правда, пока не работает.]],
	obj = {
		'broken_wheel',
	},
	inv = function(s)
		pclr();
		p [[Лучшая в мире тележка с подогревом для продажи сосисок,
		принадлежащая С.Р.Б.Н. Достаблю.]];
		if s._items_count > 0 then
			p 'В тележке'
			if s._items_count == 1 and s._coal then
				p 'лежит'
			else
				p 'лежат'
			end;
			p(s:contains());
		end;
		return pget();
	end,
	used = function(s, i)
		if deref(i) == 'broken_wheel' then
			if not i._broken then
				drop('broken_wheel', 'pigsty_hill');
				broken_wheel:disable();
				take('cart', 'pigsty_hill');
				remove('cart', 'pigsty_hill');
				s._repaired = true;
				pclr();
				p [[Достабль прикрутил колесо к тележке и оно подошло как
					влитое.]];
				if s._items_count < 3 then
					p 'Теперь осталось сложить в тележку';
					p(s:needed());
				end;
				return pget();
			else
				return [[От перестановки слагаемых сумма не меняется. Колесо как
					было сломано, так и осталось. Нужно его починить.]]
			end;
		elseif deref(i) == 'sausages' then
			s._sausages = true;
			i:disable();
			s._items_count = s._items_count + 1;
			return 'Достабль положил сосиски в тележку.'
		elseif deref(i) == 'buns' then
			s._buns = true;
			i:disable();
			s._items_count = s._items_count + 1;
			return 'Достабль положил булочки в тележку.'
		elseif deref(i) == 'coal' then
			s._coal = true;
			i:disable();
			s._items_count = s._items_count + 1;
			return 'Достабль засыпал уголь в печку тележки.'
		else
			return [[Зачем?]]
		end;
	end,
	_repaired = false,
	_items_count = 0;
	_sausages = false, -- В тележке есть сосиски?
	_buns = false, -- В тележке есть булочки?
	_coal = false, -- В тележке есть уголь?
	contains = function(s) -- Возвращает список вещей, лежащих в тележке
		result = '';
		if s._sausages then
			if s._items_count < 2 then
				result = result..' сосиски.'
			elseif s._items_count > 2 then
				result = result..' сосиски,'
			else
				result = result..' сосиски и'
			end;
		end;
		if s._buns then
			if s._coal then
				result = result..' булочки и'
			else
				result = result..' булочки.'
			end;
		end;
		if s._coal then
			result = result..' уголь.'
		end;
		return result
	end,
	needed = function(s) -- возвращает предметы, которые надо положить в тележку
		local result = '';
		local t = {};
		if not s._sausages then
			t[#t + 1] = 'сосиски';
		end;
		if not s._buns then
			t[#t + 1] = 'булочки';
		end;
		if not s._coal then
			t[#t + 1] = 'уголь';
		end;
		local n = #t;
		if n > 0 then
			if n == 1 then
				result = t[1]
			elseif n == 2 then
				result = t[1]..' и '..t[2]
			elseif n == 3 then
				result = t[1]..', '..t[2]..' и '..t[3]
			end;
			result = result..'.'
		end;
		return result;
	end,
	can_move_to_bridge = function(s)
		return s._sausages and s._buns and s._coal;
	end,
};

broken_wheel = obj {
	nam = function(s)
		if s._broken then
			return 'сломанное колесо';
		else
			return 'целое колесо';
		end;
	end,
	dsc = [[У неё сломано {колесо}.]],
	tak = [[Достабль открутил колесо. Вдруг удастся где-то починить?]],
	inv = function(s)
		if s._broken then
			return 'Колесо поломалось качественно. Без кузнеца не обойтись.'
		else
			return [[Колесо как новенькое! С ним тележка будет ездить без
				проблем.]]
		end;
	end,
	_broken = true,
	repair = function(s)
		s._broken = false;
	end,
}

shadow_map = obj {
	nam = "карта",
	inv = [[Эту карту Теней Достабль пытался продать заезжему туристу в качестве
		карты сокровищ. Увы, турист попался недоверчивый.]],
};

shambling_gate = room {
	nam = "Разваливающиеся ворота",
	pic = 'gfx/shambling_gates.png',
	dsc = [[Толкотня и суета -- неотъемлемое свойство любых городских ворот. И
		Разваливающиеся ворота отнюдь не исключение из этого правила.^
		С одной стороны толпятся те, кто желает как можно скорее попасть в
		Анк-Морпорк, центр Вселенной и город неограниченных возможностей. С
		другой -- те, кто уже по горло сыт пребыванием в этом благословенном
		месте и ждёт не дождётся возможности отсюда выбраться. Между теми и
		другими мечутся стражники, пытающиеся навести какое-то подобие порядка,
		а заодно чем-нибудь поживиться, ежели представится такая возможность.]],
	obj = {
		'sham_guards',
		'foreigner',
	},
	way = {
		'pigsty_hill',
	},
};

sham_guards = obj {
	nam = 'Стражники у ворот',
	dsc = '{Стражники} мельтешат туда-сюда.',
	act = code[[walk('guards_dlg');]],
};

guards_dlg = dlg {
	nam = "Поговорить со стражниками",
	dsc = [[Стражники улыбаются Достаблю.]],
	pic = 'gfx/guard.png',
	obj = {
		[1] = phr("Здорово, ребята! Как служба?",
			"-- Привет, Достабль. Служба идёт. А ты всё торгуешь?", [[pon(2);]]),
		[2] = _phr("Я сейчас в творческом поиске.",
			"-- Ну-ну. А чего у тебя там со Шнобби вышло?", [[pon(3);]]),
		[3] = _phr("В смысле?", [[-- Да что-то он вчера на тебя ругался.
			Дескать, попадись мне этот Достабль, я его, говорит, без ножа
			зарежу.]], [[pon(4);]]),
		[4] = _phr("Ха-ха. Нет, вроде ничего такого не помню.",
			[[Достабль не лукавил, он действительно ничего такого не помнил. С
			другой стороны, Шнобби Шноббс помнить что-нибудь такое вполне мог.
			Надо будет как-то его задобрить...]],
			code[[remove('sham_guards', 'shambling_gate');]]),
	},
};

foreigner = obj {
	nam = "Приезжий",
	dsc = [[Возле ворот потерянно оглядывается {приезжий}.]],
	act = code[[walk('foreigner_dlg');]],
};

foreigner_dlg = dlg {
	nam = 'Разговор с приезжим',
	dsc = [[Приезжий повернулся к Достаблю.]],
	obj = {
		[1] = phr([[Здравствуйте! Добро пожаловать в Анк-Морпорк, лучший город
			Вселенной!]], [[-- З-здравствуйте! -- выдавил из себя приезжий,
			поражённый таким напором.]], [[pon(2);]]),
		[2] = _phr('Вы уже бывали в нашем городе?',
			'-- Нет, я впервые. Здесь всё так необычно...', [[pon(3);]]),
		[3] = _phr([[Да, у нас в городе так много достопримечательностей, что
			легко заблудиться. Специально для вас могу предложить карту лучших
			мест Анк-Морпорка!]], '-- Но... у меня нет денег...', [[pon(4);]]),
		[4] = _phr('А что есть?', [[Приезжий пошарил по карманам и извлёк
			невзрачный кусочек бронзы.^^
			-- Вот, какая-то свистулька. Нашёл на полу в дилижансе.]],
			[[pon(5);]]),
		[5] = _phr([[Ну, хорошо. Могу поменять вам карту на эту свистульку. Но
			учтите, я себя без ножа режу!]], [[Обмен состоялся. Счастливый
			приезжий обзавёлся картой и пошёл в неизвестном направлении.
			Достабль же получил бронзовую свистульку с надписями на каком-то
			гномском диалекте.]],
			code[[inv():del('shadow_map');
				inv():add('whistler');
				remove('foreigner', 'shambling_gate');
				screwdriver:enable();]]),
	},
};

whistler = obj {
	nam = "свистулька",
	inv = function(s)
		if deref(here()) == 'wharf' and not thieves_escaped then
			walk('thieves_escape');
		elseif deref(here()) == 'palm' then
			if taken('banana') then
				walk('captain_carrot');
			else
				return [[Достабль подумал, что свистеть рановато: чего-то он
					ещё не сделал.]]
			end;
		else
			return [[Бронзовая свистулька с надписями на гномском языке.
				Достабль подумал, что она чем-то напоминает ему боцманскую
				дудку. Впрочем, боцманской дудки он никогда не видел.]]
		end
	end,
	use = function(s, t)
		if t == dwarfs and not thieves_escaped then
			return [[Достабль немного поразмыслил и решил, что отдавать
				свистульку гномам пока рановато.]], false
		end;
	end,
};

cattle_market = room {
    nam = "Скотный рынок",
    enter = function(s)
		stop_music();
    end,
    dsc = [[Здесь особое место, в котором даже воздух отличается от обычного в
    Анк-Морпорке. Что неудивительно, так как весь скот, который гонят для
    продажи, собирается именно здесь, на Скотном рынке. Погонщики народ грубый и
    нетребовательный, но паб «Орёл Мясника», расположенный здесь, полностью
    соответствует их вкусам и привычкам.]],
    way = {
        'pigsty_hill',
        'butchers_eagle',
        'cockbill_street',
        'sticken_place',
    },
};

butchers_eagle = room {
    nam = "Паб «Орёл Мясника»",
    enter = function(s)
		set_music('music/danger.mid');
    end,
    dsc = function(s)
        p [[Из всех питейных заведений, когда-либо виденных Достаблем, паб
			«Орёл Мясника» был самым специфическим. Настолько специфическим,
			что он предпочёл бы никогда там не появляться. Продавать что-либо
			там было некому: не тот контингент. Купить кое-что было можно, но
			Достабль не любил вопросов Стражи на тему, откуда у него бумажник
			дядюшки Бена, ограбленного давеча в Тенях. Да и здешний ассортимент
			напитков и закусок оставлял желать лучшего. В общем, «Залатанный
			Барабан» Достаблю нравился куда больше.]]
		if seen('screwdriver') or screwdriver._taken then
			p [[^Перед дверью лежало чьё-то тело. Ба, да это же тот самый
				приезжий, которому Достабль отдал карту! Странно, чего его сюда
				понесло? Хотя... на карте «Орёл Мясника» был помечен тремя
				звёздочками. Для Достабля они значили, что сюда лучше не
				соваться. Приезжий, похоже, понял их как-то по-своему.]]
		end;
		return pget();
	end,
	way = {
		'cattle_market',
	},
	obj = {
		'screwdriver',
	},
};

screwdriver = obj {
	nam = "отвёртка",
	dsc = [[Тело {приезжего} лежит перед дверью.]],
	tak = function(s)
		s._taken = true;
		return [[Достабль по-быстрому обшарил карманы приезжего. К сожалению,
			там нашлась только отвёртка, настолько ржавая, что грабители ею
			побрезговали.]];
	end,
	inv = [[Очень ржавая, но прочная отвёртка.]],
	use = function(s, t)
		if deref(t) == 'tooth' then
			return true
		else
			return 'Не получается.', false
		end;
	end,
	_taken = false,
}:disable();

cockbill_street = room {
	nam = "Заводильная улица",
	enter = function(s)
		stop_music();
	end,
	dsc = [[Улица выглядела бедновато, но чистенько. Ровный ряд аккуратных
		домов, тротуары подметены, даже навоза на проезжей части нет -- видимо,
		быстро убирают. Какой контраст с остальными Тенями!]],
	way = {
		'cattle_market',
		'pearl_dock',
	},
};

pearl_dock = room {
	nam = "Жемчужный док",
	dsc = [[Городской порт расположен на берегу реки Анк. Близость к Анку
		придаёт воздуху необычайную густоту, крепость и неповторимый аромат.
		Матросы, сходящие на берег после долгого рейса, придают этому месту
		особый колорит. Всё это, вместе взятое, намекает на то, что от
		Жемчужного дока лучше держаться подальше. Но Достабль был отважен и
		всегда верил в свою способность переговорить кого угодно.]],
	way = {
		'cockbill_street',
		'wharf',
	},
	enter = function(s, f)
		if have('stone') then
			walk('trolls');
		else
			set_music('music/groove.mid');
		end;
	end,
};

wharf = room {
	nam = "Причал",
	dsc = [[У причала стояли торговые корабли. Достабль никогда не понимал, как
		они сюда попадают. Особенность реки Анк в том, что плыть по ней очень
		сложно, так как субстанция, текущая в ней, воду напоминает слабо.
		Впрочем, ходить по реке тоже затруднительно. Были слухи, что знаменитый
		Леонард Щеботанский изобрёл какой-то движитель, позволяющий кораблю
		перемещаться по Анку, оставляя за собой медленно затягивающуюся глубокую
		траншею. Сложно было сказать, правда ли это. Достабль считал, что
		нет.]],
	way = {
		'pearl_dock',
	},
	entered = function(s)
		if not thieves_escaped and have('whistler') then
			put('wharf_thieves');
		else
			remove('wharf_thieves');
		end;
	end,
};

wharf_thieves = obj {
	nam = "воры",
	dsc = [[Тем не менее, корабли у причала стояли. На борту одного из них
	происходила какая-то {странная суета}.]],
	act = [[Какие-то люди таскают туда-сюда мешки непонятно с чем.]],
	used = function(s, t)
		if deref(t) == 'whistler' then
			thieves_escaped = true;
			remove('wharf_thieves', 'wharf');
			walk('thieves_escape');
		end;
	end,
};

thieves_escape = room {
	nam = "Достабль спугнул воров",
	dsc = [[Достабль подул в свистульку и чуть не оглох. Такого он ещё не
		слышал.^
		Неизвестные, тихонько копошившиеся на ближайшем корабле, тоже не были к
		этому готовы. С криком «Атас! Стража!» они бросили мешок, который
		пытались утащить с корабля, и убежали пешком по Анку.^
		Мешок больно долбанул Достабля по голове, упал на поверхность реки и
		стал медленно в неё погружаться. Достабль почесал макушку и увидел на
		грязной брусчатке странный камень, вывалившийся из мешка в момент
		неудачного приземления на его голову.^
		«Полагаю, камень мне пригодится» -- подумал Достабль.]],
	obj = {
		'stone',
	},
	way = {
		'pearl_dock',
	},
	entered = function(s)
		thieves_escaped = true;
		set_sound('music/whistle.wav');
	end,
	exit = function(s, t)
		if not taken('stone') then
			return '«По-моему, я что-то забыл» -- подумал Достабль.', false
		end;
	end,
};

stone = obj {
	nam = "странный камень",
	dsc = [[На брусчатке лежит {камень}.]],
	tak = 'Достабль поднял с земли камень.',
	inv = 'Странный какой-то камень, ни на что не похожий.',
};

trolls = room {
	nam = "Тролли",
	pic = 'gfx/trolls.png',
	dsc = [[Крутя в руках найденный камень, Достабль шагнул на территорию
		Жемчужного дока и нос к носу столкнулся с троллями.^
		Троллей было два. Один, очень толстый, напоминал ожившую скалу,
		покрытую мхом. Второй тролль был тонкий, весь какой-то гладкий и
		блестящий, как будто отполированный бегущей водой.^
		Достабль попытался проскользнуть мимо, но это ему не удалось.^
		-- Ух ты! -- воскликнул тонкий тролль. -- А что это у него в руках
		такое?^
		Толстый тролль нахмурился:^
		-- Еда.^
		-- Да не еда, балбес, -- возразил тонкий, -- а ароматные апатиты с
		Противовесного континента! Деликатес, в лучшем ресторане днём с огнём
		не найдёшь. Спрашивается, что он с ним собирается делать?^
		Толстый вновь повторил:^
		-- Еда.^^
		{to_trolls2|Достабль решил, что пора что-нибудь сказать.}]],
	hideinv = true,
	obj = {
		xact('to_trolls2', code[[walk('trolls2')]]),
	},
};

trolls2 = room {
	nam = "Тролли (продолжение)",
	dsc = [[-- Послушайте, уважаемые, -- начал он. -- Если хотите, я могу
		продать вам этот камень всего за...^
		-- Камень?! -- вскричал тонкий тролль. -- Для него это всего лишь
		камень! Ты слышал?!^
		Толстый тролль недоумевающе посмотрел на тонкого.^
		-- Еда, нет?^
		-- Ну, вы же понимаете, -- вклинился Достабль, -- я тоже так не могу.
		Я, можно сказать, без ножа себя режу...^
		-- Хватит! -- рявкнул тонкий тролль так громко, что, казалось, даже
		потолстел. -- Надоел! Закинь его куда-нибудь подальше, -- это уже к
		толстому.^
		Толстый тролль схватил Достабля за ноги и забросил на растущую рядом
		пальму. Камень при этом выпал из рук и покатился по мостовой. Пока
		толстый поворачивался обратно, тонкий тролль догнал камень и, не
		раздумывая, бросил себе в пасть.^
		-- Ум-м-м, вкуснотища!^
		В этот момент до толстого наконец-то дошло, что деликатес куда-то
		исчез. И даже не просто куда-то, а во вполне известном направлении -- в
		желудке тонкого. Тот попытался было что-то сказать, но тролль --
		особенно толстый! -- персонаж брутальный. Ничего не слушая, толстый
		тролль с грохотом заехал тонкому по зубам. Во все стороны полетели
		искры и осколки.^
		«Да, -- подумал Достабль. -- Не надо кормить троллей -- хоть тонких,
		хоть толстых. Ни к чему хорошему это не приводит.»^^
		{to_palm|Дальше...}]],
	obj = {
		xact('to_palm', code[[walk('palm');
			set_music('music/rr_piano.mid');
			inv():del('stone');
			put('tooth', 'pearl_dock');
			]]),
	},
	hideinv = true,
};

palm = room {
	nam = "Пальма",
	pic = 'gfx/palm.png',
	dsc = [[Пальма была высокая. Достабль сидел посреди листьев и смотрел, как
		внизу тролли мутузят друг друга. Какой из них толстый, а какой --
		тонкий, было уже не разобрать.]],
	obj = {
		'banana',
	},
};

tooth = obj {
	nam = "зуб тролля",
	dsc = [[Между камнями мостовой застрял {зуб тролля}.]],
	act = [[Крепко застрял, не вытащить!]],
	inv = [[Зуб тролля (негранёный алмаз, 24 карата) -- одна штука.]],
	_is_taken = false,
	used = function(s, t)
		if s._is_taken then
			local s = nil;
			if t == whistler then
				s = [[На свистульке осталась царапина. Логично, алмаз ведь
					твёрже бронзы.]];
			elseif t == banana then
				s = 'Съесть банан чужими зубами?! Оригинально, конечно...';
			elseif t == broken_wheel then
				s = [[Поломать колесо сильнее, чем сейчас, вряд ли получится.
					Даже зубом тролля.]];
			elseif t == sausages then
				s = 'Зачем кусать сосиски? Их же никто не купит после этого!';
			elseif t == yeasts then
				s = [[Достабль, чувствуя себя полным идиотом, потыкал зубом в
					дрожжи. Разумеется, из этого ничего не вышло.]];
			elseif t == coal then
				s = [[Что уголь, что алмаз, всё едино -- углерод. А как
					отличаются, да?]];
			elseif t == buns then
				s = 'Не нужно портить булочкам товарный вид!';
			end;
			if s then
				return s, false;
			else
				return false;
			end;
		else
			if t == screwdriver then
				take('tooth');
				s._is_taken = true;
				drop(t);
				t:disable();
				set_sound('music/scratch.ogg');
				return [[Достабль просунул отвёртку в щель между камнями и
					нажал. Со скрипом, обдирая крошки камня и ржавчину с
					отвёртки, зуб тролля вылез на поверхность и переместился в
					карман Достабля.^
					К сожалению, отвёртка при этом пришла в полную негодность и
					её пришлось выбросить.]]
			else
				return [[Не получается. Либо зуб застрял слишком крепко, либо
					одно из двух.]], false
			end;
		end;
	end,
	use = function(s, t)
		if deref(t) == 'butcher_freddy' then
			return true
		elseif deref(t) == 'smith' then
			if blunt_axe._sharped then
				return true
			else
				return false, [[Достабль подумал, что пока давать зуб тролля
					кузнецу рановато. Вдруг ещё для чего-то пригодится?]]
			end;
		else
			return true
		end;
	end,
};

banana = obj {
	nam = "банан",
	dsc = [[Среди листьев одиноко висел {банан}. Странно, обычно они растут
		гроздьями. Ну, остальные, наверно, кто-то сорвал.]],
	tak = [[Достабль решил, что банан лишним не будет.]],
	inv = [[Хороший банан, в меру спелый. Сам бы съел, но вдруг получится
		кому-то продать?]],
};

captain_carrot = room {
	nam = "Капитан Моркоу спешит на помощь",
	dsc = function(s)
		if ref('carrot_dlg'):empty() then
			return [[Моркоу поставил последнюю точку в протоколе и легко стащил
				Достабля с пальмы. Хорошо быть двухметроворостым гномом!
				Достабль хотел было сказать ему спасибо, но капитан со словами
				«не стоит благодарности, это мой долг» развернулся и ушёл.^^
				{to_pearl_dock|Дальше...}]]
		else
			set_sound('music/whistle.wav');
			set_music('music/m.mid');
			return [[Достабль снова подул в свистульку. На этот раз он уже был
				готов к её звуку, чего нельзя сказать о троллях. Оглушённые
				внезапным свистом, они прекратили драку и начали очумело
				оглядываться по сторонам.^
				Внезапно из ближайшего переулка донёсся торопливый топот сапог,
				а потом раздался громкий уверенный голос:^
				-- Что здесь происходит?^
				Тролли начали что-то мямлить, но капитану Моркоу (а это был
				именно он) хватило буквально пяти секунд, чтобы разобраться в
				сути дела.^
				-- Так, всё ясно. Вы, двое, -- он показал на троллей, --
				арестованы за употребление в неположенном месте и нарушение
				общественного порядка. Констебль Детрит, доставьте их в
				участок!^
				Детрит, ещё один тролль, подошёл к нарушителям и положил им на
				плечи свои тяжёлые лапищи. Тролли, вяло огрызаясь, подчинились
				воле представителя Закона и куда-то побрели.]]
		end;
	end,
	obj = {
		'carrot_dlg',
		xact('to_pearl_dock', code[[walk('pearl_dock');]]),
	},
};

carrot_dlg = dlg {
	nam = "Капитан Моркоу",
	pic = 'gfx/carrot.png',
	dsc = 'Капитан уткнулся в бумагу.',
	obj = {
		[1] = phr('Эй, Моркоу! Я здесь!', [[-- А, это ты, Достабль. Как ты туда
			залез?]], code[[walk('carrot_dlg1');]]),
		[2] = phr('Слушай, а что это за свистулька?', [[-- Это не свистулька, а
		    специальный гномский свисток, предупреждающий об опасности обвала в
		    шахте.]], code[[walk('carrot_dlg2');]]),
	},
};

carrot_dlg1 = dlg {
	nam = "Капитан Моркоу",
	pic = 'gfx/carrot.png',
	obj = {
		[1] = phr([[Да, вот, с троллями немного не поладил. Сними меня отсюда,
			а?]], '-- Сей момент, только протокол допишу...',
			code[[walk('carrot_dlg');]]),
	},
};

carrot_dlg2 = dlg {
	nam = "Капитан Моркоу",
	pic = 'gfx/carrot.png',
	obj = {
		[1] = phr([[А почему нельзя предупреждать обычным свистком?]],
			[[-- Видишь ли, этот свисток специально спроектирован так, чтобы
			звук отвечал двум условиям. Во-первых, он очень громкий, чтобы
			слышно было в самых дальних штреках...]], code[[pon(2);]]),
		[2] = _phr('А во-вторых?', [[-- А во-вторых после использования этого
			свистка опасность обвала становится неизбежной. Гномы, сам
			понимаешь, не любят, когда их беспокоят попусту.]], code[[pon(3);]]),
		[3] = _phr('Надо же!', [[-- Ага. Кстати, думаю, хозяин свистка будет
			очень рад получить его обратно.]], code[[walk('carrot_dlg');]]),
	},
};

sticken_place = room {
	nam = 'Забойная площадь',
	dsc = [[Забойная площадь располагалась между Скотным рынком и улицей Вязов.
		Учитывая, что находилась она в Тенях, забивали там не только скот.
		Поэтому Достабль предпочитал не появляться на ней в тёмное время
		суток.]],
	way = {
		'cattle_market',
		'elm_street',
	},
};

elm_street = room {
	nam = 'Улица Вязов',
	dsc = function(s)
		pclr();
		p [[Тихая и тенистая улица Вязов. Здесь расположена лавка мясника
			Фредди. Достаблю она была хорошо известна: именно там он частенько
			заказывал сосиски.]];
		if not butcher_freddy._axe_taken then
			p [[Одна проблема -- в долг Фредди больше не даст. Впрочем,
				попробовать-то можно?]];
		end;
		return pget();
	end,
	way = {
		'sticken_place',
		'butcher_shop',
		'gleam_street',
	},
};

butcher_shop = room {
	nam = 'Лавка мясника Фредди',
	pic = 'gfx/butcher_shop.png',
	dsc = [[В лавке было прохладно, тихо и пахло сырым мясом. Фредди в шляпе и
		своём любимом красно-зелёном свитере был на месте и работал: ловко
		полосовал бекон на аккуратные ломтики специальной перчаткой с лезвиями,
		надетой на правую руку.]],
	obj = {
		'butcher_freddy',
	},
	way = {
		'elm_street',
	},
};

blunt_axe = obj {
	nam = function(s)
		if s._sharped then
			return 'острый топор';
		else
			return 'тупой топор';
		end;
	end,
	dsc = function(s)
		if s._sharped then
			return 'Очень острый топор.'
		else
			return 'Чрезвычайно тупой топор.'
		end;
	end,
	inv = function(s)
		if s._sharped then
			return 'Топор очень острый. Лучше без нужды не трогать.'
		else
			return 'Топор действительно тупой. Интересно, что им рубили?'
		end;
	end,
	_sharped = false,
}:disable();

butcher_freddy = obj {
	nam = 'Мясник Фредди',
	dsc = '{Мясник Фредди} работает, поглядывая на Достабля.',
	act = function(s)
		if freddy_dlg:empty() then
			if not blunt_axe._sharped and taken('tooth') and
			   not s._axe_need_sharping then
				freddy_dlg:pon(2);
				walk('freddy_dlg');
			elseif s._axe_need_sharping and
					not taken('blunt_axe') and
					not s._axe_taken then
				return [[Фредди хочет, чтобы ему наточили топор, но не доверит
					его Достаблю, если не получит в залог чего-нибудь ценного.]]
			elseif taken('blunt_axe') then
				return '-- Ну, что там с моим топором? -- интересуется Фредди.'
			else
				return 'Фредди не расположен к разговору.'
			end;
		else
			walk('freddy_dlg');
		end;
	end,
	used = function(s, i)
		if i == tooth  then
			if blunt_axe._sharped then
				return [[-- И зачем оно мне? -- пожал плечами Фредди.]]
			else
				walk('freddy_takes_diamond');
				return '', false
			end;
		end;
		if s._axe_need_sharping then
			if i == blunt_axe then
				if i._sharped then
					drop('blunt_axe');
					blunt_axe:disable();
					tooth:enable();
					take('tooth', 'butcher_freddy');
					take('sausages', 'freddy_takes_diamond');
					sausages:enable();
					walk('freddy_takes_axe');
					return false
				else
					return [[-- Ты ж, вроде, обещал его наточить? -- коварно
						поинтересовался Фредди. -- Пока не наточишь, не получишь
						ни сосисок, ни алмаза.]]
				end;
			end;
		end;
		return [[-- И зачем оно мне? -- пожал плечами Фредди.]]
	end,
	_axe_need_sharping = false,
	need_sharp_axe = function(s)
		s._axe_need_sharping = true;
	end,
	_axe_taken = false,
	obj = {
		'blunt_axe',
	},
};

sausages = obj {
	nam = 'сосиски',
	dsc = 'В тележке лежат сосиски.',
	inv = 'Большая связка сосисок.',
}:disable();

freddy_dlg = dlg {
	nam = 'Мясник Фредди',
	pic = 'gfx/freddy.png',
	obj = {
		[1] = phr('Привет, Фредди! Как дела?', [[-- Привет, привет. Дела
			нормально, только вот топор затупился, -- в подтверждение своих слов
			мясник потряс топором в воздухе. -- Придётся искать, где бы его
			наточить, время тратить...]], code[[walk('freddy_dlg1');]]),
		[2] = _phr([[Фредди, а давай так: я тебе топор наточу, а ты мне сосисок
			сделаешь. А деньги я потом отдам, честно.]], [[-- Ты знаешь,
			Достабль, как я тебя уважаю, -- вздохнул Фредди. -- Но топор не
			отдам. Мне он дорог как память.]], code[[walk('freddy_dlg2');]]),
	},
};

freddy_dlg1 = dlg {
	nam = 'Мясник Фредди',
	pic = 'gfx/freddy.png',
	obj = {
		[1] = phr('Слушай, есть дело. Сделай мне сосисок!', [[-- Всенепременно!
			Деньги на бочку и можешь считать, что сосиски у тебя в кармане.]],
			code[[pon(2);]]),
		[2] = _phr('Я отдам, честное благородное слово! Продам -- и отдам.',
			'-- Утром -- деньги, вечером -- сосиски.', code[[pon(3);]]),
		[3] = _phr('А можно, чтобы вечером -- деньги?', [[-- Можно, --
			ухмыльнулся Фредди. -- Но деньги вперёд.]],
			code[[walk('butcher_shop');]]),
	},
};

freddy_dlg2 = dlg {
	nam = 'Мясник Фредди',
	pic = 'gfx/freddy.png',
	obj = {
		[1] = phr('Но мне очень нужно!', [[-- Всем очень нужно. Давай
			чего-нибудь ценное в залог, тогда топор получишь.]],
			code[[
				freddy_dlg2._visited = true;
				butcher_freddy:need_sharp_axe();
				walk('butcher_shop');
			]]),
	},
	_visited = false,
};

freddy_takes_diamond = room {
	nam = 'Мясник Фредди',
	dsc = function(s)
		pclr();
		if not freddy_dlg2._visited then
			pn [[Достабль негромко кашлянул и обратился к Фредди:^
				-- Фредди, а давай так: я тебе топор наточу, а ты мне сосисок
				сделаешь. А деньги я потом отдам, честно.^
				-- Ты знаешь, Достабль, как я тебя уважаю, -- вздохнул Фредди.
				-- Но топор не отдам. Мне он дорог как память.^
				-- Но мне очень нужно!^
				-- Всем очень нужно. Давай чего-нибудь ценное в залог, тогда
				топор получишь.
			]];
			freddy_dlg2._visited = true;
			butcher_freddy:need_sharp_axe();
		end;
		p [[Достабль протянул мяснику зуб тролля:^
		-- Вот, чистейший алмаз. Как думаешь, стоит он твоего топора?^
		Мясник прищурился, рассматривая камешек.^
		-- Думаю, стоит. Ладно, уговорил. Держи топор, как наточишь и принесёшь,
		получишь алмаз обратно и сосиски в придачу. Деньги потом отдашь.
		Договорились?^
		-- Конечно, договорились! -- радостно воскликнул Достабль, предвкушая
		будущие сосиски. Теперь нужно было только найти, где бы наточить этот
		инструмент.^^
		{goto_elm_street|Выйти на улицу Вязов}]];
		blunt_axe:enable();
		take('blunt_axe', 'butcher_freddy');
		put('tooth', 'butcher_freddy');
		tooth:disable();
		return pget();
	end,
	obj = {
		xact('goto_elm_street', code[[walk('elm_street');]]),
		'sausages',
	},
	hideinv = true,
};

freddy_takes_axe = room {
	nam = 'Мясник Фредди',
	dsc = [[Фредди выжидающе посмотрел на Достабля:^
		-- Принёс?^
		-- А как же! -- гордо произнёс Достабль, протягивая топор. -- Бриться
		можно!^
		Мясник придирчиво осмотрел лезвие и вынес вердикт:^
		-- Сойдёт.^
		-- Кстати, -- заторопился Достабль, -- я тут договорился с кузнецом по
		соседству, он тебе будет постоянно инструменты точить. Скажешь, что от
		меня -- скидка будет.^
		-- Ну, ладно. Держи свой алмаз и сосиски, порадовал ты меня.^
		Фредди торжественно вручил Достаблю зуб тролля и связку сосисок и
		предупредил напоследок:^
		-- Только расплатиться потом не забудь, да?^
		Достабль расцвёл.^
		-- Честное благородное слово! Как только -- так сразу!^^
		{goto_elm_street|Вернуться на улицу Вязов}]],
	obj = {
		xact('goto_elm_street', code[[
			butcher_freddy._axe_taken = true;
			walk('elm_street');
		]]),
	},
	hideinv = true,
};

gleam_street = room {
	nam = 'Тусклая улица',
	pic = 'gfx/gleam_street.png',
	dsc = [[Тусклая улица, ведущая к реке Анк, была одной из самых скучных улиц
		города. Или весёлых, это как посмотреть. На ней располагались редакции
		наиболее известных изданий города. А что может быть скучнее, чем
		перекладывать бумажки в одном из таких заведений? Конечно, журналистика
		считается очень интересной работой. Но в том-то и дело, что все
		журналисты мотались по городу в поисках новостей, а на Тусклой улице
		появлялись только тогда, когда надо было отдавать готовые материалы в
		печать. Вот тут-то и начиналась скука.^
		Время от времени среди массивных респектабельных зданий, попадались
		скромные домики, относящиеся к сфере обслуживания. Например, вот эта
		пекарня. Все окрестные акулы пера покупали в ней свежий хлеб, чтобы
		далеко не ходить. Ну и булочки для хотдогов здесь наверняка должны
		быть.]],
	way = {
		'elm_street',
		'bakery',
		'rime_street',
	},
	enter = function(s)
		stop_music();
	end,
};

bakery = room {
	nam = 'Пекарня',
	dsc = [[В пекарне вкусно пахнет свежим хлебом. Всё, включая пекаря,
		припорошено тонким слоем муки. Стоит сюда войти -- и сразу хочется есть,
		пусть даже ты уже наелся до отвала.]],
	obj = {
		'baker',
	},
	way = {
		'gleam_street',
	},
	exit = function(s, t)
		if baker._wants_yeasts and not baker._has_yeasts then
			return [[Пекарь преградил Достаблю дорогу:^
				-- Не спеши. Что там насчёт дрожжей?]], false
		else
			return '', true
		end;
	end,
	entered = function(s)
		set_music('music/bumpy.mid');
		if taken('yeasts') and not baker._has_yeasts then
			baker_dlg:pon(2);
		else
			baker_dlg:poff(2);
		end;
	end,
};

baker = obj {
	nam = 'Пекарь',
	dsc = function(s)
		if s._wants_yeasts and not s._has_yeasts then
			return '{Пекарь} прекратил месить тесто и ждёт.'
		else
			return '{Пекарь} месит тесто.'
		end;
	end,
	act = function(s)
		if not baker_dlg:empty() then
			if taken('yeasts') and not s._wants_yeasts then
				baker_dlg:pon(2);
			end;
			walk('baker_dlg');
			return '', true
		elseif s._wants_yeasts and not s._has_yeasts then
			return 'Пекарь ждёт дрожжей.'
		else
			return 'Пекарю явно нет дела до такой мелочи, как Достабль.'
		end;
	end,
	_wants_yeasts = false, -- Пекарь узнал о дрожжах
	_has_yeasts = false, -- Пекарь получил дрожжи
	used = function(s, i)
		if deref(i) == 'yeasts' then
			if not s._has_yeasts then
				s._has_yeasts = true;
				walk('baker_takes_yeasts');
			else
				return 'У пекаря уже есть дрожжи. Ему больше не надо.';
			end;
		else
			return false;
		end;
	end,
};

baker_dlg = dlg {
	nam = 'Разговор с пекарем',
	pic = 'gfx/baker.png',
	obj = {
		[1] = phr('Привет! Есть деловое предложение.', [[-- Ну? -- неприветливо
			буркнул пекарь.]], code[[walk('baker_dlg1');]]),
		[2] = _phr([[Здравствуйте! Я рад представить вашему вниманию уникальное
			творение волшебников из Незримого Университета!]], [[Пекарь взглянул
			на Достабля и нахмурился. Но за скалкой не потянулся. Отлично, можно
			продолжать.]], code[[
				prem(1);
				walk('baker_dlg2');
			]]),
	},
};

baker_dlg1 = dlg {
	nam = 'Разговор с пекарем',
	pic = 'gfx/baker.png',
	obj = {
		[1] = phr('Давай ты мне сделаешь булочек, а деньги я потом отдам?',
			[[От такого хамства пекарь побагровел и потерял дар речи. Но потом
			перевёл дыхание и размашисто указал на дверь пухлым пальцем,
			присыпанным мукой:^
			-- Вон отсюда!^
			Достаблю ничего не оставалось, кроме как ретироваться. Что ж, надо
			будет придумать что-нибудь другое. Без булочек-то всё равно не
			обойтись.]]),
	},
};

baker_dlg2 = dlg {
	nam = 'Разговор с пекарем',
	pic = 'gfx/baker.png',
	obj = {
		[1] = phr([[Перед вами магически модифицированные дрожжи, которые
			гарантируют в три и более раза сильное брожение, чем обычные.]],
			[[Выражение подозрительности на лице пекаря сменилось
			заинтересованностью.]], code[[pon(2);]]),
		[2] = _phr([[Это пробный образец, ещё не запущенный в серийное
			производство. Всего через месяц он появится в широкой продаже и
			произведёт революцию в индустрии выпечки хлеба! Но у вас есть шанс
			стать первым! Хотите?]], [[-- Да, хочу. И что для этого надо?]],
			code[[baker._wants_yeasts = true;]]),
	},
};

baker_takes_yeasts = room {
	nam = 'Достабль дал пекарю дрожжи',
	pic = 'gfx/baker.png',
	dsc = [[Достабль залез в карман и достал дрожжи. Странно, их оказалось
		неожиданно много. Такое впечатление, что они были живыми и размножались.
		Ладно, отдадим пекарю половину, остальное пригодится.^
		-- Эти волшебные дрожжи стоят целое состояние, поэтому мы не продаём их
		за деньги. Но вы можете получить пробный образец на символических
		условиях...^
		Пекарь часто-часто закивал. Он, похоже, уже был согласен на любые
		условия, что бы они ни символизировали.^
		-- В обмен на пробный образец мне нужно некоторое количество продукции,
		произведённой с помощью этих дрожжей. К сожалению, я должен отчитаться
		перед начальством сегодня в семь часов, так что не могу ждать, пока вы
		замесите тесто, дождётесь его готовности и выпечете из него, скажем,
		булочки.^
		На лице пекаря, оказавшегося перед возможностью потерять ещё даже не
		полученные дрожжи, проступили крупные капли пота. Достабль продолжал:^
		-- Но я понимаю, что вам очень нужны эти дрожжи. Поэтому -- только между
		нами! -- давайте сделаем так. Я даю вам эти дрожжи, а вы мне -- самые
		лучшие булочки, какие только найдёте. А я покажу их начальству и скажу,
		что сделаны они на наших дрожжах. Возьму грех на душу, так уж и быть...^
		Из пекарни Достабль вышел, нагруженный приличным количеством ещё горячих
		булочек. Несмотря на то, что пекарю досталась полная пригоршня дрожжей,
		их в кармане оставалось ещё порядочно. Надо будет как-то от них
		избавиться, но если просто выбросить, то рано или поздно они расползутся
		по всему Анк-Морпорку...^^
		{goto_gleam_street|Дальше...}]],
	obj = {
		xact('goto_gleam_street', code[[
				take('buns');
				buns:enable();
				walk('gleam_street');
			]]),
		'buns',
	},
	hideinv = true,
};

buns = obj {
	nam = 'булочки',
	inv = [[Целый пакет свежих, ещё горячих булочек.]],
}:disable();

rime_street = room {
	nam = 'Заиндевелая улица',
	enter = function(s)
		set_music('music/classicl.mid');
	end,
	dsc = function(s)
		pclr();
		p [[Заиндевелая улица проходила вдоль великой реки Анк. Она могла бы
			стать, к примеру, Заиндевелой набережной, если бы в Анке текло
			что-то, чуть больше напоминавшее воду. Гулять же по набережной,
			любуясь этой субстанцией, желающих особо не находилось. Поэтому обе
			стороны Заиндевелой улицы были застроены чем попало.]];
		if not blacksmith._visited then
			pn [[^Именно здесь обнаружилась кузница, которой Достабль раньше,
				вроде бы, не видел. Может быть в ней ему смогут починить
				колесо?]];
		end;
	end,
	way = {
		'gleam_street',
		'blacksmith',
		'cheap_side',
	},
};

blacksmith = room {
	nam = 'Кузница',
	dsc = [[В кузнице было темновато, шумно и жарко. Мерно вздыхали мехи,
		которые качал подмастерье. В такт их вздохам из горна вырывались языки
		пламени. Кузнец оторвался от разглядывания каких-то ржавых железок,
		лежащих в углу, и мрачно уставился на Достабля.]],
	obj = {
		'smith',
	},
	way = {
		'rime_street',
	},
	exit = function(s, d)
		if smith._ready_to_repair_wheel and
		   exist('tooth', 'blacksmith') and
		   not s._wheel_taken then
			return [[-- Ты куда? -- поинтересовался кузнец. -- Колесо давай, ты
				ж уже заплатил за починку!]], false
		end;
	end,
	entered = function(s)
		s._visited = true;
		stop_music();
	end,
	_visited = false,
};

has_broken_wheel = function() -- У Достабля с собой сломанное колесо
	return inv():srch(broken_wheel:nam()) ~= nil and broken_wheel._broken;
end;

has_tooth = function() -- У Достабля с собой зуб тролля
	return inv():srch('зуб тролля') ~= nil;
end;

smith = obj {
	nam = 'Кузнец',
	dsc = '{Кузнец} угрюмо смотрит на Достабля.',
	used = function(s, i)
		if s.use_handle[deref(i)] ~= nil then
			return s.use_handle[deref(i)](s, i);
		end;
	end,
	use_handle = {
		blunt_axe = function(s, i)
			if i._sharped then
				return '-- Куда его ещё точить? Острый, как бритва!';
			else
				walk('smith_sharps_axe');
			end;
		end,

		tooth = function(s, i)
			if blunt_axe._sharped and have(broken_wheel) then
				smith_dlg:prem(3);
				drop('tooth', 'blacksmith');
				tooth:disable();
				walk('smith_takes_diamond');
				s._ready_to_repair_wheel = true;
				return false;
			else
				return [[-- Забери эту хрень обратно! -- возмутился кузнец. --
					Мне работать надо!]];
			end;
		end,

		broken_wheel = function(s, i)
			if s._ready_to_repair_wheel then
				if i._broken then
					s._ready_to_repair_wheel = false;
					s._wheel_taken = true;
					walk('smith_repairs_wheel');
					return false;
				else
					return '-- Я его уже починил.';
				end;
			else
				return '-- А платить кто будет? Патриций Ветинари?';
			end;
		end,
	},
	_ready_to_repair_wheel = false, -- Кузнец готов принять колесо в починку
	_ready_to_sharp_axe = false, -- Достабль договорился с кузнецом о заточке
	_wheel_taken = false, -- Кузнец взял колесо
	act = function(s)
		if has_broken_wheel() and has_tooth() and
		   not smith_dlg3:empty() then
			smith_dlg:pon(3);
		end;
		if smith_dlg3:empty() and
		   not s._ready_to_repair_wheel and
		   broken_wheel._broken then
			return 'Кузнец готов починить колесо, но не бесплатно.'
		end;
		if s._ready_to_repair_wheel then
			return '-- Эй, оглох, что ли? -- произнёс кузнец. -- Колесо давай!'
		end;
		if smith_dlg:empty() then
			return 'Кузнец занят делом.'
		else
			walk('smith_dlg');
		end;
	end,
};

smith_dlg = dlg {
	nam = 'Кузнец',
	obj = {
		[1] = phr('Добрый день! Как дела?', [[-- Добрый, добрый... -- кузнец
			явно был не в настроении. -- Чего надо?]],
			code[[walk('smith_dlg1');]]),
		[2] = phr([[Извиняюсь, конечно, но что-то я тебя раньше в этих местах не
			видел...]], [[-- Ну, да, -- смутился кузнец. -- Я только на той
			неделе перебрался в Анк-Морпорк из Сто Лата. Сейчас осваиваюсь на
			новом месте.]], code[[walk('smith_dlg2');]]),
		[3] = _phr('У меня тут колесо от тележки сломалось. Починить можешь?',
			'-- Могу, конечно. А деньги у тебя есть?',
			code[[walk('smith_dlg3');]]),
	},
};

smith_dlg1 = dlg {
	nam = 'Кузнец',
	obj = {
		[1] = phr('Да так, поговорить, например.', [[-- Слушай, парень, --
			язвительно произнёс кузнец. -- Ты видел у меня на вывеске надпись
			«Сабиседник в Любое Время Дня и Ночи»?]], code[[pon(2);]]),
		[2] = _phr('Нет, не видел.', '-- А знаешь, почему?', code[[pon(3);]]),
		[3] = _phr('Почему?', [[-- Потому, что её там нет! -- рявкнул кузнец. --
			Это не монастырь Оффлера, где занимаются болтовнёй. Это кузница!
			Здесь куют металл! И у меня нет времени на пустые разговоры!]]),
	},
};

smith_dlg2 = dlg {
	nam = 'Кузнец',
	obj = {
		[1] = phr('И как оно?', [[-- Да пока не очень. Здесь своих кузнецов
			много, они уже всё между собой поделили.]]),
	},
};

smith_dlg3 = dlg {
	nam = 'Кузнец',
	obj = {
		[1] = phr('Ну... будут!', '-- Вот когда будут, тогда и приходи.'),
	},
};

smith_sharps_axe = room {
	nam = 'Кузнец точит топор',
	pic = 'gfx/axe_sharping.png',
	dsc = [[-- Хорошие новости! Я тебе постоянного клиента нашёл.^
		-- Что, правда? -- заинтересовался кузнец.^
		-- А как же! У него куча всяких режущих вещей, которые постоянно тупятся
		и их точить надо.^
		-- И кто же это?^
		-- Да мясник Фредди, тут, по соседству. Я с ним уже почти договорился.^
		-- А почему «почти»?^
		-- Сам понимаешь, ты человек новый, он пока не знает, как ты работаешь.
		В общем, если топор ему на пробу наточишь и ему понравится, то дело в
		шляпе.^
		-- А твоя тут какая выгода?^
		-- Ну, чего не сделаешь ради хорошего человека? Я, конечно, себя без
		ножа режу, но очень уж ты мне понравился.^
		-- Ладно, давай свой топор.^
		Достабль вручил топор кузнецу. Подмастерье, повинуясь знаку учителя,
		оставил мехи и раскрутил точильный камень. Полетели искры.^
		Работал кузнец быстро, но тщательно. Когда камень остановился, режущая
		кромка топора сверкала так, что глазам было больно.^
		-- Держи, -- кузнец отдал заточенный топор Достаблю. -- Ну, как?^
		-- Потрясающе, -- выдохнул тот. -- Можешь считать, что постоянный клиент
		у тебя уже есть.^^
		{goto_blacksmith|Дальше...}]],
	obj = {
		xact('goto_blacksmith', code[[
				blunt_axe._sharped = true;
				smith_dlg:prem(1);
				smith_dlg:prem(2);
				walk('blacksmith');
			]]),
	},
	hideinv = true,
};

smith_takes_diamond = room {
	nam = 'Достабль дал кузнецу зуб тролля',
	dsc = [[-- Вот, -- гордо произнёс Достабль, протягивая кузнецу зуб тролля.
		-- Держи.^
		-- Это что такое? -- подозрительно спросил кузнец, разглядывая камешек.^
		-- Это, друг мой, алмаз! Чистой воды, двадцать четыре карата... Ни за
		что бы не отдал, без ножа себя режу, но колесо надо срочно починить.^
		-- Ладно, давай колесо.^^
		{goto_blacksmith|Дальше...}]],
	obj = {
		xact('goto_blacksmith', code[[
				walk('blacksmith');
			]]),
	},
	hideinv = true,
};

smith_repairs_wheel = room {
	nam = 'Кузнец чинит колесо',
	dsc = [[Достабль никогда не думал, что с колесом всё было настолько плохо.^
		Кузнец задействовал такую массу всяческих инструментов и приспособлений,
		что в результате должна была получиться целая карета и никак не меньше.^
		Но получилось всё-таки колесо. Кузнец протёр его тряпочкой и вручил
		Достаблю:^
		-- Держи. Лучше, чем новое.^
		-- Спасибо, друг! Век не забуду!^^
		{goto_blacksmith|Дальше...}]],
	obj = {
		xact('goto_blacksmith', code[[
				broken_wheel:repair();
				walk('blacksmith');
			]]),
	},
	hideinv = true,
};

cheap_side = room {
	nam = 'Халявная сторона',
	enter = function(s)
		stop_music();
	end,
	pic = 'gfx/cheap_side.png',
	dsc = [[Халявная сторона представляла собой довольно уютное местечко. Если
		вам требовалось уютное, чистое и, главное, недорогое жильё -- то это
		здесь. В данном районе всегда можно было снять комнату: не всегда уютную
		и чистую, но уж точно недорогую. Те, кто мог себе это позволить, снимали
		целый дом. Например, гномы, чей дом располагался именно здесь.]],
	way = {
		'rime_street',
		'contract_bridge',
		'dwarf_house',
		'filigree_street',
	},
	exit = function(s, t)
		if t == contract_bridge then
			if not taken('cart') or not cart:can_move_to_bridge () then
				return [[Мост довольно крутой, так что прежде чем на него
					подниматься, нужно привести в порядок тележку и сложить туда
					булочки, сосиски и уголь.]], false
			end;
		end;
	end;
};

dwarf_house = room {
	nam = 'Дом гномов',
	enter = function(s)
		set_music('music/circus.mid');
	end,
	dsc = [[Куда бы ни попал гном -- он везде соорудит что-то, напоминающее
		родное подземелье. Низкие потолки, мох на стенах, топор в углу и жареная
		крыса на столе. Единственное исключение -- гном, желающий выделиться
		среди прочих гномов. В таком случае кропотливость воссоздания
		национальных гномовских традиций превосходит все возможные пределы.^
		В этом доме жили весьма патриотичные гномы. Достабль понял это, как
		только впилился головой в низкий потолок. На его нечленораздельный вопль
		тут же обернулись хозяева.]],
	obj = {
		'dwarfs',
	},
	way = {
		'cheap_side',
	},
};

dwarfs = obj {
	nam = 'Гномы',
	dsc = '{Гномы} с подозрением смотрят на Достабля.',
	act = function(s)
		if not dwarfs_dlg:empty() then
			walk('dwarfs_dlg');
			return '', true
		else
			return 'Гномы хмурятся. Впрочем, они всегда хмурятся'
		end;
	end,
	used = function(s, i)
		if deref(i) == 'whistler' then
			i:disable();
			walk('dwarfs_takes_whistler');
		end;
	end,
};

dwarfs_dlg = dlg {
	nam = 'Разговор с гномами',
	obj = {
		[1] = phr('Как жизнь? Что нового?', [[Гномы посмотрели на Достабля, как
			на слабоумного.^-- Ну... так себе.]]),
		[2] = phr('А уголь у вас есть?', [[Хозяева переглянулись и один из них
			ответил:^-- Есть. А что?]], code[[walk('dwarfs_coal_dlg');]]),
	},
};

dwarfs_coal_dlg = dlg {
	nam = 'Разговор с гномами',
	obj = {
		[1] = phr('Да вот, мне нужно ведёрко-другое угля. Деньги потом отдам.',
			'-- Нет денег -- нет угля.', code[[pon(2);]]),
		[2] = _phr('Ну вам что -- жалко, что ли?!', [[-- Жалко, -- ответил гном
			таким тоном, что бессмысленность продолжения этого разговора стала
			очевидной.]], code[[walk('dwarf_house');]]),
	},
};

dwarfs_takes_whistler = room {
	nam = 'Достабль дал гномам свистульку',
	dsc = [[-- У меня тут этот... как его... свисток для шахты.^
		Достабль протянул гномам свистульку. Вещица пошла по рукам,
		сопровождаемая невнятным бормотанием. Когда обсуждение закончилось, один
		из гномов обратился к Достаблю:^
		-- Неплохая штука. Откуда она у тебя?^
		-- Да так, купил по случаю. Но, если вам нужнее...^
		Гном вопросительно посмотрел на остальных. Те в ответ дружно закивали
		головами.^
		-- Нужнее. Что за неё хочешь?^
		-- Исключительно из уважения к вам, -- патетически провозгласил
		Достабль, -- отдаю её даром. Ну, разве что уголька дайте, у вас его
		много, а мне печку топить надо.^
		После короткого совещания один из гномов удалился в кладовку и вернулся
		оттуда с ведром угля. Теперь у Достабля было на чём греть сосиски.^^
		{goto_cheap_side|Вернуться на Халявную сторону}]],
	obj = {
		xact('goto_cheap_side', code[[
				take('coal');
				coal:enable();
				dwarfs_dlg:prem(1, 2, 3, 4);
				walk('cheap_side');
			]]),
		'coal',
	},
	hideinv = true,
};

coal = obj {
	nam = 'уголь',
	inv = 'Отборный каменный уголь, хорошо подходит для разогревания сосисок',
}:disable();

filigree_street = room {
	nam = 'Филигранная улица',
	enter = function(s)
		set_music('music/gutsolo.mid');
	end,
	dsc = [[Филигранная улица всегда была тихим и спокойным местом. Совсем рядом
		находился дворец Патриция и главные здания разнообразных Гильдий, так
		что было кому следить за порядком. Здесь никогда не происходило никаких
		драк, грабежей и прочих нарушений общественного  порядка, за исключением
		тех, которые производились посетителями «Залатанного Барабана». Но все
		разрушения и неприятности от них концентрировались только в окрестностях
		этого почтенного заведения.]],
	way = {
		'cheap_side',
		'mended_drum',
	},
};

mended_drum = room {
	nam = '«Залатанный Барабан»',
	enter = function(s)
		set_music('music/ragtime.mid');
	end,
	dsc = [[«Залатанный Барабан» -- чудесное заведение. Для тех, кто понимает.^
		Достабль понимал, причём очень хорошо. Это было одно из его любимых
		мест, где можно приятно отдохнуть, с кем-нибудь побеседовать, а при
		случае и продать кому-нибудь знаменитых достаблевских сосисок из свиньи,
		идентичной натуральной. Сейчас, правда, сосисок не было.^
		Вокруг как всегда было шумно и накурено, то есть царила дружелюбная и
		непринуждённая атмосфера.]],
	obj = {
		'barmen',
		'librarian',
	},
	way = {
		'filigree_street',
	},
};

librarian = obj {
	nam = 'Библиотекарь',
	dsc = 'В дальнем углу сидит {орангутан}.',
	dsc = function(s)
		local n = 'орангутан';
		if s._is_not_ape then
			n = 'библиотекарь';
		end;
		return 'В дальнем углу сидит {'..n..'}.';
	end,
	_is_not_ape = false, -- Библиотекарь ещё обезьяна :)
	not_ape = function(s)
		s._is_not_ape = true;
	end,
	act = function(s)
		if not s._is_not_ape then
			walk('librarian_dlg');
		else
			return 'Библиотекарь дружелюбно улыбается.'
		end;
	end,
	used = function(s, i)
		if i == banana then
			walk('librarian_takes_banana');
			return false;
		else
			return 'Библиотекарь помотал головой и сказал: "У-ук!"';
		end;
	end,
};

librarian_dlg = dlg {
	nam = 'Библиотекарь',
	pic = 'gfx/orangutan.png',
	obj = {
		[1] = phr('Привет, обезьяна!', '...', code[[walk('librarian_kills');]]),
		[2] = _phr('Здравствуйте!', '-- У-ук!'),
		[3] = _phr('А правда, что вы работаете в Незримом Университете?',
			'-- У-ук!'),
		[4] = phr('Нет-нет, ничего...', '', code[[pon(); walk('mended_drum');]]),
	},
	exit = function(s, t)
		if punseen(1, 2, 3) then
			poff(4);
		end;
	end,
};

librarian_kills = room {
	nam = 'Обезьяна?!',
	enter = function(s)
		set_music('music/pipe.mid');
	end,
	dsc = [[Орангутан вперил в Достабля взгляд своих глаз, внезапно налившихся
		кровью, опёрся передними лапами на стол и поднялся с места. В следующую
		секунду перед глазами Достабля всё завертелось, а тело пронзила дикая
		боль, которая, правда, длилась недолго.^
		Когда головокружение прошло, Достабль увидел со стороны, как орангутан
		заканчивает пинать его бездыханное тело.^
		-- НУ ЧТО, ТЫ ГОТОВ?^
		Достабль обернулся.^
		-- ДА, ДА, ЭТО Я. ТЫ НЕ ОШИБСЯ.^
		Голос принадлежал стоящей рядом фигуре в чёрном плаще и с косой в руке,
		знакомой по тысячам рассказов.^
		-- Но... как же так... -- забормотал Достабль.^
		-- ВЕЖЛИВОСТЬ, ДРУГ МОЙ! -- изрёк Смерть. -- ИНОГДА ОНА МОЖЕТ СПАСТИ
		ТЕБЕ ЖИЗНЬ.^
		Достабль горько вздохнул, ещё раз посмотрел на то, чем был при жизни, и
		пошёл за своим новым провожатым.^^
		К О Н Е Ц^^
		({goto_mended_drum|переиграть сцену})]],
	obj = {
		xact('goto_mended_drum', code[[
				stop_music();
				librarian_dlg:pon(1);
				librarian_dlg:pon(4);
				walk('mended_drum');
			]]),
	},
};

librarian_takes_banana = room {
	nam = 'Дрожжи',
	dsc = [[Достабль, согнувшись в поклоне, протянул библиотекарю банан:^
		-- Примите этот скромный дар в знак моего уважения к работникам
		Незримого университета! Я с детства увлекался всеми этими волшебными
		штучками; у меня вся комната была обклеена портретами знаменитых
		волшебников...^
		Библиотекарь заинтересованно слушал.^
		-- ...и я счастлив наконец-то встретиться с вами! -- продолжал Достабль.
		-- Не могли бы вы оказать мне скромную услугу: принести из университета
		какую-нибудь волшебную безделушку? Она станет венцом моего собрания!^
		Библиотекарь взял банан, сказал «У-ук!» и выпрыгнул в окно.^
		Достабль перевёл дух. «Вот это меня понесло! Аж самому страшно!»^
		Не прошло и десяти минут, как библиотекарь вернулся -- влетел через то
		же окно, нисколько не запыхавшись, и протянул Достаблю маленькую
		коробочку. Тот, рассыпаясь в благодарностях, коробочку взял. Она была
		лёгкой и пахла дрожжами.^^
		{goto_mended_drum|Дальше...}]],
	obj = {
		xact('goto_mended_drum', code[[
				banana:disable();
				take('yeasts');
				yeasts:enable();
				librarian:disable();
				barmen:disable();
				walk('mended_drum');
			]]),
		'yeasts',
	},
	hideinv = true,
};

barmen = obj {
	nam = 'Хозяин «Залатанного Барабана»',
	dsc = '{Хозяин} за стойкой протирает посуду.',
	act = function(s)
		if not barmen_dlg:empty() then
			walk('barmen_dlg');
			return '', true;
		else
			return 'Хозяин поглощён вытиранием посуды.';
		end;
	end,
};

barmen_dlg = dlg {
	nam = 'Разговор с хозяином',
	obj = {
		[1] = phr('Добрый день! Как идут дела?', [[-- Привет, Достабль. С
			переменным успехом. Когда шатко, а когда -- валко.]]),
		[2] = phr('А что это за обезьяна в дальнем углу?', [[Хозяин быстро
			оглянулся по сторонам и наклонился к Достаблю, понизив голос до
			шёпота:^
			-- Это не обезьяна, а библиотекарь Незримого университета. Не
			советую называть его обезьяной, он этого сильно не любит.]],
			code[[walk('barmen_dlg1');]]),
	},
};

barmen_dlg1 = dlg {
	nam = 'Разговор с хозяином',
	obj = {
		[1] = phr('А как тогда к нему обращаться?', [[-- Ну, -- пожал плечами
			хозяин, -- можешь называть его библиотекарем. Думаю, не
			обидится.]], code[[
				librarian_dlg:poff(1);
				librarian_dlg:pon(2, 3);
				librarian:not_ape();
				barmen:disable();
			]]),
	},
};

yeasts = obj {
	nam = 'дрожжи',
	inv = [[Дрожжи в коробочке с надписью: "Облучение магией -- эксперимент
		13/28. Соблюдать осторожность.".]],
}:disable();

contract_bridge = room {
	nam = 'Бриджевый мост',
	dsc = [[Арка Бриджевого моста довольно высоко поднималась над Анком,
		медленно несущим свои воды (или то, что заменяло ему воды) сквозь
		пространство. Достабль вытолкал тележку на вершину дуги моста и перевёл
		дыхание. Полдела сделано, осталось спуститься.]],
	way = {
		'cheap_side',
		'brewer_street',
	},
};

brewer_street = room {
	nam = 'Пивоварная улица',
	enter = function(s)
		stop_music();
	end,
	dsc = [[Может, когда-то на Пивоварной улице действительно варили пиво, но с
		тех пор технологии шагнули вперёд. Пивом здесь и не пахло. Зато имелась
		вывеска «Лутшый Самагон На Диске И Визде». Достабль был заинтригован.]],
	way = {
		'contract_bridge',
		'moonshiner_house',
		'broad_way',
	},
};

moonshiner_house = room {
	nam = 'Дом самогонщика',
	enter = function(s)
		set_music('music/casino.mid');
	end,
	dsc = [[В доме самогонщика было тепло. Слегка побулькивали какие-то сосуды,
		стоящие в углу. Дикая смесь самых непередаваемых запахов шибанула
		Достаблю в нос и он чихнул.^
		На шум появился хозяин, дородный мужчина в потрёпанном белом халате,
		усаженном пятнами самых разных цветов и оттенков. Чем-то он был похож на
		алхимика.]],
	obj = {
		'moonshiner',
	},
	way = {
		'brewer_street',
	},
};

moonshiner = obj {
	nam = 'Самогонщик',
	dsc = function(s)
		if moonshiner_dlg:empty() then
			return '{Самогонщик} терпеливо ждёт.'
		else
			return '{Самогонщик} интересуется: «Чем могу быть полезен?»'
		end;
	end,
	act = function(s)
		if not moonshiner_dlg:empty() then
			walk('moonshiner_dlg');
			return '', true
		else
			return 'На его лице выражение равнодушной любезности.'
		end;
	end,
	used = function(s, i)
		if i == yeasts then
			walk('moonshiner_takes_yeasts');
			return false
		else
			return 'Похоже, самогонщику это не нужно.'
		end;
	end,
};

scumble = obj {
	nam = 'бутылка',
	inv = [[Бутылка лучшей укипаловки на Диске. Не допускать контакта с
		металлом!]],
}:disable();

moonshiner_dlg = dlg {
	nam = 'Разговор с самогонщиком',
	dsc = 'Самогонщик вежливо смотрит на Достабля.',
	obj = {
		[1] = phr('Да вот, хочу узнать, как у вас дела? Что новенького?',
			[[-- Дела нормально, а новенького... Ну, скажем так: вся продукция
			новенькая, то есть свежая.]], code[[walk('moonshiner_dlg1');]]),
		[2] = phr('Мне нужна бутылка укипаловки!', [[-- Сожалею, -- развёл
			руками самогонщик. -- Вся партия уже расписана между заказчиками.]],
			code[[walk('moonshiner_dlg2');]]),
	},
};

moonshiner_dlg1 = dlg {
	nam = 'Разговор с самогонщиком',
	obj = {
		[1] = phr('И что за продукция?', [[-- Лучшая укипаловка на всём Диске!
			Настолько крепкая, что наливать её в железную посуду не
			рекомендуется. Редкий товар, ограниченная партия!]],
			code[[pon(2);]]),
		[2] = _phr('А почему ограниченная?', [[-- Да вот с ингредиентами
			проблема, -- вздохнул самогонщик. -- Очень трудно достать правильные
			яблоки и дрожжи. Допустим, яблоки мне регулярно возят с Овцепикских
			гор, а вот дрожжи... Тут какие попало не подойдут.]],
			code[[pon(3);]]),
		[3] = _phr('Интересно... А какие подойдут?', [[-- Это должны быть дрожжи
			с огромной жизненной силой. Из обычных получается не укипаловка, а
			водичка с запахом.]]),
	},
};

moonshiner_dlg2 = dlg {
	nam = 'Разговор с самогонщиком',
	obj = {
		[1] = phr('И что, ничего сделать нельзя?', [[-- Ну, почему же, можно.
			Вносите предоплату, я запишу вас в список и всего через недельку
			приходите, у меня будет готова следующая партия.]],
			code[[pon(2);]]),
		[2] = _phr('А раньше нельзя? Скажем, сегодня?', [[-- Нет-нет, сегодня
			никак невозможно. Я дорожу своей репутацией. Даже не знаю, что
			должно произойти, чтобы я нарушил обязательство перед заказчиком.]]),
	},
};

moonshiner_takes_yeasts = room {
	nam = 'Достабль даёт самогонщику дрожжи',
	dsc = [[Достабль протянул самогонщику дрожжи:^
		-- Ручаюсь, что дрожжей с такой жизненной силой вы ещё не видели!^
		Самогонщик принюхался к дрожжам, нахмурился, отщипнул кусочек и бросил в
		стоящую рядом посудину. Помещение озарилось октариновой вспышкой; из
		горлышка пошёл дымок.^
		-- Ого! Это действительно самые мощные дрожжи, которые мне когда-либо
		попадались! Сколько вы за них хотите?^
		-- Мне нужна бутылка вашей лучшей укипаловки.^
		-- Хм-м, -- задумался самогонщик. -- Но я же не могу подвести старых
		клиентов...^
		-- Тогда возвращайте дрожжи.^
		-- Нет-нет, это я сам с собой разговариваю. Давайте сделаем так: я отдам
		вам одну бутылку укипаловки, заказчику скажу, что бутылка попалась
		бракованная и разбилась, в следующий раз он получит две. Но не вздумайте
		кому-нибудь рассказать -- моя репутация будет погублена безвозвратно!^
		-- Буду нем, как могила! -- горячо пообещал Достабль.^
		Выйдя на улицу с бутылкой укипаловки, он глубоко вдохнул свежий воздух
		Анк-Морпорка. Теперь оставалось всего-навсего пройти по Брод-Авеню и
		продать сосиски.^^
		{take_yeasts|Дальше...}]],
	obj = {
		xact('take_yeasts', code[[
				take('scumble');
				scumble:enable();
				drop('yeasts');
				yeasts:disable();
				walk('brewer_street');
			]]),
		'scumble',
	},
	hideinv = true,
};

broad_way = room {
	nam = 'Брод-авеню',
	dsc = function(s)
		if nobby_nobbs._scumble_taken then
			return [[Путь к богатству и процветанию был совершенно свободен.
				Уже слышался шум толпы, веселящейся на Псевдополис-Ярд. Вперёд,
				Достабль Отчизны милой! Мгновенье славы настаёт!]]
		else
			return [[Всё шло просто отлично. Достабль практически добрался до
				центральной площади, но на Брод-Авеню путь ему преградил Шнобби
				Шноббс. Не то, чтобы он был особенно вредный, но сегодня по
				какой-то причине решил на Достабле отыграться. И это в двух
				шагах от цели!]]
		end;
	end,
	way = {
		'brewer_street',
		'pseudopolis_yard',
	},
	obj = {
		'nobby_nobbs',
	},
	enter = function(s)
		set_music('music/batlehym.mid');
	end,
	exit = function(s, t)
		if t == pseudopolis_yard then
			if nobby_nobbs._scumble_taken then
				return true
			else
				return [[Нельзя просто взять и пройти в Псевдополис-Ярд, пока
					дорогу загораживает Шнобби. С ним нужно что-то сделать.]],
					false
			end;
		end;
	end,
};

nobby_nobbs = obj {
	nam = 'Шнобби Шноббс',
	dsc = function(s)
		if s._scumble_taken then
			return [[Шнобби полностью поглощён бутылкой укипаловки.]]
		else
			return [[{Шнобби Шноббс} всем своим видом выражает нежелание
				пропускать Достабля.]]
		end;
	end,
	take_scumble = function(s)
		drop('scumble', 'nobbs_takes_scumble');
		scumble:disable();
		s._scumble_taken = true;
	end,
	_scumble_taken = false,
	act = function(s)
		if nobbs_dlg:empty() then
			return 'Шнобби излучает презрение ко всяким там Достаблям.'
		else
			walk('nobbs_dlg');
		end;
	end,
	used = function(s, i)
		if i == scumble then
			walk('nobbs_takes_scumble');
			return true
		end;
	end,
};

nobbs_dlg = dlg {
	nam = 'Разговор со Шнобби',
	obj = {
		[1] = phr('Привет, Шнобби! Как жизнь молодая?', [[-- Не подлизывайся, не
			поможет! -- мрачно произнёс Шнобби.]], code[[walk('nobbs_dlg1');]]),
		[2] = phr('Шнобби, пропустил бы ты меня, а? Я в долгу не останусь...',
			'-- Чего-чего? -- подозрительно спросил Шноббс.',
			code[[walk('nobbs_dlg2');]]),
	},
};

nobbs_dlg1 = dlg {
	nam = 'Разговор со Шнобби',
	obj = {
		[1] = phr([[И в мыслях не было! Кстати, может отойдёшь в сторонку? Мне
			вон туда надо.]], [[-- Даже и не думай! Я тут страж порядка и я
			решаю, кто куда идёт!]]),
	},
};

nobbs_dlg2 = dlg {
	nam = 'Разговор со Шнобби',
	obj = {
		[1] = phr('Ну, продам сосиски и с тобой поделюсь.', [[-- Нет! --
			воскликнул Шнобби и пафосно подбоченился. -- Стражу за деньги не
			купишь!]]),
	},
};

nobbs_takes_scumble = room {
	nam = 'Достабль даёт Шноббсу укипаловку',
	dsc = [[Достабль поманил Шноббса за угол и, когда тот подошёл,
		продемонстрировал бутылку укипаловки.^
		-- Это что у тебя? -- поинтересовался Шнобби.^
		-- Укипаловка, лучшая на всём Диске!^
		-- Взятка, что ли?^
		Достабль всем своим существом изобразил искреннее негодование.^
		-- Да ты что! Я взяток не даю и другим не советую. И предлагаю за это
		выпить. Укипаловки, а?^
		Шноббс недоверчиво шмыгнул носом.^
		-- Ну, можно. Только сколько там той укипаловки... да ещё и на двоих
		делить...^
		-- Не надо делить! -- горячо возразил Достабль. -- Я свою порцию уже
		выпил, а остальное жертвую в честь нашей доблестной Стражи! Вот, держи.
		Передашь моё пожертвование?^
		-- А то как же! В лучшем виде передам. Ты, главное, никому из наших не
		говори -- пусть сюрприз будет!^
		Достабль согласился на сюрприз и, пока Шнобби запихивал объёмистую
		бутыль укипаловки в бездонный карман своих штанов, поспешил к
		тележке.^^
		{goto_broad_way|Дальше...}]],
	obj = {
		xact('goto_broad_way', code[[
				nobby_nobbs:take_scumble ();
				walk('broad_way');
			]]);
	},
	hideinv = true,
};

pseudopolis_yard = room {
	nam = 'Псевдополис-Ярд',
	enter = function(s)
		set_music('music/bigband.mid');
	end,
	dsc = [[Достабль вышел на Псевдополис-Ярд и оказался в гуще счастливых
		людей, гуляющих по улице. В их карманах позвякивали полновесные
		морпоркские доллары, а на лицах ясно читалась готовность расстаться с
		деньгами в обмен на порцию знаменитых достаблевских сосисок.^
		Жизнь продолжалась.^
		Толкаясь в толпе, Достабль брал деньги, раздавал сосиски и совершенно не
		тяготился ничем: ни крахом последнего предприятия, ни необходимостью
		отдать часть выручки мяснику Фредди. Торговля сосисками -- вот для чего
		он был рождён!^
		Впрочем, не только для этого. Было кое-что ещё.^
		Лицо Достабля расплылось в радостной ухмылке: он придумал новый,
		совершенно беспроигрышный план как заработать по-настоящему много
		денег. Но это уже совсем другая история...^^]]..txtc('{goto_credits|К О Н Е Ц}'),
	obj = {
		xact('goto_credits', code[[walk('credits');]]);
	},
};

credits = room {
	nam = 'Титры',
	dsc = function(s)
		pclr();
		p(txtc(txtb('Операция «Хотдог»^^')));
		p [[Игра по мотивам цикла произведений Терри Пратчетта «Плоский
		мир».^^Создана с целью изучения игрового движка INSTEAD и языка
		Lua.^^]];
		p(txtc(txtb('Morthan:^')));
		p(txtc('Сюжет^Текст^Графика^Программирование^^'));
		p(txtc(txtb('Евгений «Webdiver» Крамаренко:^')));
		p(txtc('Сюжет^Подбор музыки^Тестирование^^'));
		return pget();
	end,
	hideinv = true,
};
